shibsp::DOMPropertySet::Remapper Class Referenceabstract

Interface that remaps property names for legacy support. More...

`#include <shibsp/util/DOMPropertySet.h>`

Inheritance diagram for shibsp::DOMPropertySet::Remapper:
[legend]

## Public Member Functions

virtual | ~Remapper ()
| Destructor.
virtual const char * | remap (const char *src, xmltooling::logging::Category &log) const =0
| Remap a name (or return it unchanged).

## Protected Member Functions

| Remapper ()
| Constructor.

## Detailed Description

Interface that remaps property names for legacy support.

## Member Function Documentation

## remap()

virtual const char * shibsp::DOMPropertySet::Remapper::remap | ( | const char * | src,
|  | xmltooling::logging::Category & | log ) const

pure virtual

Remap a name (or return it unchanged).

Parameters

  src | original name
  log | logger to use

Returns
  the name to use

Implemented in shibsp::DOMPropertySet::STLRemapper, and shibsp::SessionInitiator.

The documentation for this class was generated from the following file:

- shibsp/util/DOMPropertySet.h